%% Project OD. Figure 1.
% DESCRIPTION: Methods figure. 
% Compatible with ODproject_MUA workspace. 

% figure style
set(0,'DefaultFigureWindowStyle','normal') 
flag_save = 1;

% save directory
if flag_save == 1 
    USER = getenv('username');
    figDir = strcat('C:\Users\',USER,'\OneDrive - Vanderbilt\Data Analysis\Figures\OD Project\');
    cd(figDir);
    disp("Figure directory created");
end

%% Figure 1 creation. 

J_pens = RF.CENT(1,:) >= 0;

% Plot 1
figure('position',[461.6666666666666,781.6666666666666,388.6666666666666,234]); 
scatter(RF.CENT(1,J_pens),RF.CENT(2,J_pens),(1.4*RF.DIAM(:,J_pens)./2.*pi).^2,'MarkerFaceAlpha',0.4); hold on
scatter(RF.CENT(1,~J_pens),RF.CENT(2,~J_pens),(1.4*RF.DIAM(:,~J_pens)./2.*pi).^2,'MarkerFaceAlpha',0.4); hold on
xlim([-10 10])
ylim([-10 10]);
hl = hline(0);
vl = vline(0);

legend([],'location','northeast');

set(gca,'linewidth',0.7,'fontsize',16);
set(vl,'linewidth',0.5,'linestyle','-','color','k');
set(hl,'linewidth',0.5,'linestyle','-','color','k');
xlabel('Horizontal DVA')
ylabel('Vertical DVA')

set(gca,'TickDir','out'); 

if flag_save == 1
    cd(figDir);
    saveas(gcf, strcat('RFscatter','.svg'));
    disp("Figure saved");
else
    disp("Figure was not saved");
end
