function [model] = genMODEL(PARAMS,NDE,uct, OCC, o, varargin)
% modelcrf_V3: DE params with uniquely fitted NDE param
%  

if nargin == 2
    a = mean(PARAMS.DE.a);
    k = mean(PARAMS.DE.k);
    n = mean(PARAMS.DE.n);
    w = mean(NDE.w.value);

    
elseif nargin == 3
    a = PARAMS.DE.a(uct);
    k = PARAMS.DE.k(uct);
    n = PARAMS.DE.n(uct);
    w = NDE.w.value(uct);


    
elseif nargin > 3
    
    a = mean(PARAMS.DE.a(OCC.groups{o,1}));
    k = mean(PARAMS.DE.k(OCC.groups{o,1}));
    n = mean(PARAMS.DE.n(OCC.groups{o,1}));
    w = median(NDE.w.value(OCC.groups{o,1}));

end
    
B = 0;
x = 0.01:0.01:1;
% evaluate models

% NSM 1
f = (x + x);
model(1,:) = a.* ((f.^n) ./ ((f.^n) + (k.^n))) + B;

% NSM 2 (QSM)
f = sqrt(x.^2 + x.^2);
model(2,:) = a.* ((f.^n) ./ ((f.^n) + (k.^n))) + B;
         
% Binocular normalization 
model(3,:) = a.* (((x.^n) + ((x.^n))) ./ ((x.^n) + (x.^n) + (k.^n)) ) + B;
         
%Binocular normalization (weighted NDE contrast: w)
model(4,:) = a.* (((x.^n) + (w.*(x.^n))) ./ ((x.^n) + (x.^n) + (k.^n)) ) + B;

%Binocular normalization (weighted NDE contrast: w)
model(5,:) = a.* (((x.^n) + ((w+.15).*(x.^n))) ./ ((x.^n) + (x.^n) + (k.^n)) ) + B;

% % %Binocular normalization (weighted NDE contrast: wm)
% model(5,:) = a.* (((x.^n) + ((wm.*x).^n)) ./ ((x.^n) + (x.^n) + (k.^n)) ) + B;

% %Binocular normalization (weighted NDE contrast: wm)
% model(5,:) = a.* (((x.^n) + ((wn.*x).^nw)) ./ ((x.^n) + (x.^n) + (k.^n)) ) + B;

% %Binocular normalization (weighted NDE contrast: n)
% model(5,:) = a.* (((x.^n) + ((x.^nn))) ./ ((x.^n) + ((x.^n)) + (k.^n)) ) + B;
         
end

